diff --git a/kalarm/kamail.cpp b/kalarm/kamail.cpp
index 558406626..261e3865d 100644
--- a/kalarm/kamail.cpp
+++ b/kalarm/kamail.cpp
@@ -249,7 +249,7 @@ TQString KAMail::sendKMail(const KAMailData& data)
 		if (func.left(5) == "bool ")
 		{
 			func = func.mid(5);
-			func.tqreplace(TQRegExp(" [0-9A-Za-z_:]+"), "");
+			func.replace(TQRegExp(" [0-9A-Za-z_:]+"), "");
 			useSend = (func == sendFunction);
 		}
 	}
@@ -341,13 +341,13 @@ bool KAMail::callKMail(const TQByteArray& callData, const TQCString& iface, cons
 	||  replyType != funcType)
 	{
 		TQCString funcname = function;
-		funcname.tqreplace(TQRegExp("(.+$"), "()");
+		funcname.replace(TQRegExp("(.+$"), "()");
 		kdError(5950) << "KAMail::callKMail(): kmail " << funcname << " call failed\n";;
 		return false;
 	}
 	TQDataStream replyStream(replyData, IO_ReadOnly);
 	TQCString funcname = function;
-	funcname.tqreplace(TQRegExp("(.+$"), "()");
+	funcname.replace(TQRegExp("(.+$"), "()");
 	if (replyType == "int")
 	{
 		int result;
@@ -385,7 +385,7 @@ TQString KAMail::initHeaders(const KAMailData& data, bool dateId)
 		char buff[64];
 		strftime(buff, sizeof(buff), "Date: %a, %d %b %Y %H:%M:%S %z", localtime(&timenow));
 		TQString from = data.from;
-		from.tqreplace(TQRegExp("^.*<"), TQString()).tqreplace(TQRegExp(">.*$"), TQString());
+		from.replace(TQRegExp("^.*<"), TQString()).replace(TQRegExp(">.*$"), TQString());
 		message = TQString::tqfromLatin1(buff);
 		message += TQString::tqfromLatin1("\nMessage-Id: <%1.%2.%3>\n").tqarg(timenow).tqarg(tod.tv_usec).tqarg(from);
 	}
@@ -691,7 +691,7 @@ int KAMail::checkAddress(TQString& address)
 {
 	address = address.stripWhiteSpace();
 	// Check that there are no list separator characters present
-	if (address.tqfind(',') >= 0  ||  address.tqfind(';') >= 0)
+	if (address.find(',') >= 0  ||  address.find(';') >= 0)
 		return -1;
 	int n = address.length();
 	if (!n)
@@ -701,16 +701,16 @@ int KAMail::checkAddress(TQString& address)
 	if (address[end] == '>')
 	{
 		// The email address is in <...>
-		if ((start = address.tqfind('<')) < 0)
+		if ((start = address.find('<')) < 0)
 			return -1;
 		++start;
 		--end;
 	}
-	int i = address.tqfind('@', start);
+	int i = address.find('@', start);
 	if (i >= 0)
 	{
 		if (i == start  ||  i == end)          // check @ isn't the first or last character
-//		||  address.tqfind('@', i + 1) >= 0)    // check for multiple @ characters
+//		||  address.find('@', i + 1) >= 0)    // check for multiple @ characters
 			return -1;
 	}
 /*	else
@@ -744,10 +744,10 @@ TQString KAMail::convertAttachments(const TQString& items, TQStringList& list)
 	for (int next = 0;  next < length;  )
 	{
 		// Find the first delimiter character (, or ;)
-		int i = items.tqfind(',', next);
+		int i = items.find(',', next);
 		if (i < 0)
 			i = items.length();
-		int sc = items.tqfind(';', next);
+		int sc = items.find(';', next);
 		if (sc < 0)
 			sc = items.length();
 		if (sc < i)
@@ -780,10 +780,10 @@ TQString KAMail::convertAttachments(const TQString& items, KURL::List& list)
 	for (int next = 0;  next < length;  )
 	{
 		// Find the first delimiter character (, or ;)
-		int i = items.tqfind(',', next);
+		int i = items.find(',', next);
 		if (i < 0)
 			i = items.length();
-		int sc = items.tqfind(';', next);
+		int sc = items.find(';', next);
 		if (sc < 0)
 			sc = items.length();
 		if (sc < i)
diff --git a/kalarm/karecurrence.cpp b/kalarm/karecurrence.cpp
index 4221a5ada..a14d5675e 100644
--- a/kalarm/karecurrence.cpp
+++ b/kalarm/karecurrence.cpp
@@ -606,7 +606,7 @@ bool KARecurrence::recursOn(const TQDate& dt) const
 		return true;
 	// We know now that it isn't in EXDATES or EXRULES,
 	// so we just need to check if it's in RDATES or RRULES
-	if (rDates().tqcontains(dt))
+	if (rDates().contains(dt))
 		return true;
 	RecurrenceRule::List rulelist = rRules();
 	for (RecurrenceRule::List::ConstIterator rr = rulelist.begin();  rr != rulelist.end();  ++rr)
diff --git a/kalarm/lib/colourcombo.cpp b/kalarm/lib/colourcombo.cpp
index 5cea7fb83..cd078a34f 100644
--- a/kalarm/lib/colourcombo.cpp
+++ b/kalarm/lib/colourcombo.cpp
@@ -57,7 +57,7 @@ void ColourCombo::setColours(const ColourList& colours)
 {
 	mColourList = colours;
 	if (mSelectedColour != mCustomColour
-	&&  !mColourList.tqcontains(mSelectedColour))
+	&&  !mColourList.contains(mSelectedColour))
 	{
 		// The current colour has been deleted
 		mSelectedColour = mColourList.count() ? mColourList.first() : mCustomColour;
diff --git a/kalarm/lib/colourlist.h b/kalarm/lib/colourlist.h
index 91fabaf92..485bba6d7 100644
--- a/kalarm/lib/colourlist.h
+++ b/kalarm/lib/colourlist.h
@@ -83,19 +83,19 @@ class ColourList
 		/** Returns an iterator pointing to the colour at position @p i in the list. */
 		const_iterator at(size_type i) const                 { return mList.at(i); }
 		/** Returns true if the list contains the colour @p c. */
-		size_type      tqcontains(const TQColor& c) const       { return mList.tqcontains(c.rgb()); }
+		size_type      contains(const TQColor& c) const       { return mList.contains(c.rgb()); }
 		/** Returns an iterator pointing to the first occurrence of colour @p c in the list.
 		 *  Returns end() if colour @p c is not in the list.
 		 */
-		const_iterator tqfind(const TQColor& c) const           { return mList.tqfind(c.rgb()); }
+		const_iterator find(const TQColor& c) const           { return mList.find(c.rgb()); }
 		/** Returns an iterator pointing to the first occurrence of colour @p c in the list, starting.
 		 *  from position @p it. Returns end() if colour @p c is not in the list.
 		 */
-		const_iterator tqfind(const_iterator it, const TQColor& c) const   { return mList.tqfind(it, c.rgb()); }
+		const_iterator find(const_iterator it, const TQColor& c) const   { return mList.find(it, c.rgb()); }
 		/** Returns the index to the first occurrence of colour @p c in the list.
 		 *  Returns -1 if colour @p c is not in the list.
 		 */
-		int            findIndex(const TQColor& c) const      { return mList.tqfindIndex(c.rgb()); }
+		int            findIndex(const TQColor& c) const      { return mList.findIndex(c.rgb()); }
 		/** Returns the first colour in the list. If the list is empty, the result is undefined. */
 		TQColor         first() const                         { return TQColor(mList.first()); }
 		/** Returns the last colour in the list. If the list is empty, the result is undefined. */
diff --git a/kalarm/lib/lineedit.cpp b/kalarm/lib/lineedit.cpp
index f19ed8066..28d94fb26 100644
--- a/kalarm/lib/lineedit.cpp
+++ b/kalarm/lib/lineedit.cpp
@@ -181,7 +181,7 @@ void LineEdit::dropEvent(TQDropEvent* e)
 		}
 		else
 		{
-			int newline = txt.tqfind('\n');
+			int newline = txt.find('\n');
 			newText = (newline >= 0) ? txt.left(newline) : txt;
 		}
 	}
diff --git a/kalarm/lib/messagebox.cpp b/kalarm/lib/messagebox.cpp
index dced4ce6a..2f7480dfd 100644
--- a/kalarm/lib/messagebox.cpp
+++ b/kalarm/lib/messagebox.cpp
@@ -45,7 +45,7 @@ KMessageBox::ButtonCode MessageBox::getContinueDefault(const TQString& dontAskAg
 	ButtonCode defaultButton = Continue;
 	if (!dontAskAgainName.isEmpty())
 	{
-		TQMap<TQString, ButtonCode>::ConstIterator it = mContinueDefaults.tqfind(dontAskAgainName);
+		TQMap<TQString, ButtonCode>::ConstIterator it = mContinueDefaults.find(dontAskAgainName);
 		if (it != mContinueDefaults.end())
 			defaultButton = it.data();
 	}
diff --git a/kalarm/lib/shellprocess.cpp b/kalarm/lib/shellprocess.cpp
index c2f2e11bd..09daf91db 100644
--- a/kalarm/lib/shellprocess.cpp
+++ b/kalarm/lib/shellprocess.cpp
@@ -185,7 +185,7 @@ const TQCString& ShellProcess::shellPath()
 		}
 
 		// Get the shell filename with the path stripped off
-		int i = mShellPath.tqfindRev('/');
+		int i = mShellPath.findRev('/');
 		if (i >= 0)
 			mShellName = mShellPath.mid(i + 1);
 		else
diff --git a/kalarm/lib/spinbox.cpp b/kalarm/lib/spinbox.cpp
index fc8e6b7c3..10f3f5917 100644
--- a/kalarm/lib/spinbox.cpp
+++ b/kalarm/lib/spinbox.cpp
@@ -468,9 +468,9 @@ int SpinBox::shiftStepAdjustment(int oldValue, int shiftStep)
 */
 int SpinBox::whichButton(const TQPoint& pos)
 {
-	if (upRect().tqcontains(pos))
+	if (upRect().contains(pos))
 		return UP;
-	if (downRect().tqcontains(pos))
+	if (downRect().contains(pos))
 		return DOWN;
 	return NO_BUTTON;
 }
diff --git a/kalarm/lib/synchtimer.cpp b/kalarm/lib/synchtimer.cpp
index 7be3c17c2..caed93d7b 100644
--- a/kalarm/lib/synchtimer.cpp
+++ b/kalarm/lib/synchtimer.cpp
@@ -46,7 +46,7 @@ SynchTimer::~SynchTimer()
 void SynchTimer::connecT(TQObject* receiver, const char* member)
 {
 	Connection connection(receiver, member);
-	if (mConnections.tqfind(connection) != mConnections.end())
+	if (mConnections.find(connection) != mConnections.end())
 		return;           // the slot is already connected, so ignore request
 	connect(mTimer, TQT_SIGNAL(timeout()), receiver, member);
 	mConnections.append(connection);
diff --git a/kalarm/lib/timespinbox.cpp b/kalarm/lib/timespinbox.cpp
index 1a2a65008..ccf0c4492 100644
--- a/kalarm/lib/timespinbox.cpp
+++ b/kalarm/lib/timespinbox.cpp
@@ -124,7 +124,7 @@ TQString TimeSpinBox::mapValueToText(int v)
 int TimeSpinBox::mapTextToValue(bool* ok)
 {
 	TQString text = cleanText();
-	int colon = text.tqfind(':');
+	int colon = text.find(':');
 	if (colon >= 0)
 	{
 		// [h]:m format for any time value
@@ -309,7 +309,7 @@ TQValidator::State TimeSpinBox::TimeValidator::validate(TQString& text, int& /*c
 	bool ok;
 	int hr = 0;
 	int mn = 0;
-	int colon = cleanText.tqfind(':');
+	int colon = cleanText.find(':');
 	if (colon >= 0)
 	{
 		TQString minute = cleanText.mid(colon + 1);
diff --git a/kalarm/mainwindow.cpp b/kalarm/mainwindow.cpp
index 34b13e5ff..aa334c670 100644
--- a/kalarm/mainwindow.cpp
+++ b/kalarm/mainwindow.cpp
@@ -1397,7 +1397,7 @@ void MainWindow::setEnableText(bool enable)
 */
 MainWindow* MainWindow::toggleWindow(MainWindow* win)
 {
-	if (win  &&  mWindowList.tqfind(win) != mWindowList.end())
+	if (win  &&  mWindowList.find(win) != mWindowList.end())
 	{
 		// A window is specified (and it exists)
 		if (win->isVisible())
diff --git a/kalarm/messagewin.cpp b/kalarm/messagewin.cpp
index ca7dd8241..6f0878c00 100644
--- a/kalarm/messagewin.cpp
+++ b/kalarm/messagewin.cpp
@@ -1622,7 +1622,7 @@ void MessageWin::displayMainWindow()
 */
 bool MessageWin::haveErrorMessage(unsigned msg) const
 {
-	if (!mErrorMessages.tqcontains(mEventID))
+	if (!mErrorMessages.contains(mEventID))
 		mErrorMessages.insert(mEventID, 0);
 	bool result = (mErrorMessages[mEventID] & msg);
 	mErrorMessages[mEventID] |= msg;
@@ -1631,7 +1631,7 @@ bool MessageWin::haveErrorMessage(unsigned msg) const
 
 void MessageWin::clearErrorMessage(unsigned msg) const
 {
-	if (mErrorMessages.tqcontains(mEventID))
+	if (mErrorMessages.contains(mEventID))
 	{
 		if (mErrorMessages[mEventID] == msg)
 			mErrorMessages.remove(mEventID);
diff --git a/kalarm/prefdlg.cpp b/kalarm/prefdlg.cpp
index 24a444b98..860d68193 100644
--- a/kalarm/prefdlg.cpp
+++ b/kalarm/prefdlg.cpp
@@ -399,11 +399,11 @@ MiscPrefTab::MiscPrefTab(TQVBox* frame)
 		mXtermType->insert(radio, mXtermCount);
 		if (mXtermFirst < 0)
 			mXtermFirst = mXtermCount;   // note the id of the first button
-		cmd.tqreplace("%t", kapp->aboutData()->programName());
-		cmd.tqreplace("%c", "<command>");
-		cmd.tqreplace("%w", "<command; sleep>");
-		cmd.tqreplace("%C", "[command]");
-		cmd.tqreplace("%W", "[command; sleep]");
+		cmd.replace("%t", kapp->aboutData()->programName());
+		cmd.replace("%c", "<command>");
+		cmd.replace("%w", "<command; sleep>");
+		cmd.replace("%C", "[command]");
+		cmd.replace("%W", "[command; sleep]");
 		TQWhatsThis::add(radio, whatsThis.tqarg(cmd));
 		grid->addWidget(radio, (row = index/3 + 1), index % 3, TQt::AlignAuto);
 		++index;
@@ -444,7 +444,7 @@ void MiscPrefTab::restore()
 	{
 		for ( ;  id < mXtermCount;  ++id)
 		{
-			if (mXtermType->tqfind(id)  &&  xtermCmd == xtermCommands[id])
+			if (mXtermType->find(id)  &&  xtermCmd == xtermCommands[id])
 				break;
 		}
 	}
diff --git a/kalarm/preferences.cpp b/kalarm/preferences.cpp
index be1e5e6a9..95b1b5a69 100644
--- a/kalarm/preferences.cpp
+++ b/kalarm/preferences.cpp
@@ -607,8 +607,8 @@ void Preferences::convertOldPrefs()
 		static const TQString EMAIL_USE_CTRL_CENTRE     = TQString::tqfromLatin1("EmailUseControlCenter");
 		static const TQString EMAIL_BCC_USE_CTRL_CENTRE = TQString::tqfromLatin1("EmailBccUseControlCenter");
 		TQMap<TQString, TQString> entries = config->entryMap(GENERAL_SECTION);
-		if (entries.tqfind(EMAIL_FROM) == entries.end()
-		&&  entries.tqfind(EMAIL_USE_CTRL_CENTRE) != entries.end())
+		if (entries.find(EMAIL_FROM) == entries.end()
+		&&  entries.find(EMAIL_USE_CTRL_CENTRE) != entries.end())
 		{
 			// Preferences were written by KAlarm pre-1.2.1
 			config->setGroup(GENERAL_SECTION);
diff --git a/kalarm/undo.cpp b/kalarm/undo.cpp
index 81d101c3f..4d951c17f 100644
--- a/kalarm/undo.cpp
+++ b/kalarm/undo.cpp
@@ -68,7 +68,7 @@ class UndoItem
 		UndoItem(Undo::Type);
 		static TQString    addDeleteActionText(KAEvent::tqStatus, bool add);
 		TQString           description(const KAEvent&) const;
-		void              replaceWith(UndoItem* item)   { Undo::tqreplace(this, item); }
+		void              replaceWith(UndoItem* item)   { Undo::replace(this, item); }
 
 		int               mId;     // unique identifier (only for mType = UNDO, REDO)
 		Undo::Type        mType;   // which list (if any) the object is in
@@ -398,13 +398,13 @@ void Undo::remove(UndoItem* item, bool undo)
 /******************************************************************************
 *  Replace an undo item in one of the lists.
 */
-void Undo::tqreplace(UndoItem* old, UndoItem* New)
+void Undo::replace(UndoItem* old, UndoItem* New)
 {
 	Type type = old->type();
 	List* list = (type == UNDO) ? &mUndoList : (type == REDO) ? &mRedoList : 0;
 	if (!list)
 		return;
-	Iterator it = list->tqfind(old);
+	Iterator it = list->find(old);
 	if (it != list->end())
 	{
 		New->setType(type);    // ensure the item points to the correct list
@@ -468,7 +468,7 @@ TQValueList<int> Undo::ids(Undo::Type type)
 			for (Undo::List::ConstIterator u = undos.begin();  u != undos.end();  ++u)
 			{
 				TQString evid = (*u)->eventID();
-				if (ignoreIDs.tqfind(evid) != ignoreIDs.end())
+				if (ignoreIDs.find(evid) != ignoreIDs.end())
 					omit = true;
 				else if (omit)
 					ignoreIDs.append(evid);
@@ -483,7 +483,7 @@ TQValueList<int> Undo::ids(Undo::Type type)
 		}
 		else
 		{
-			omit = (ignoreIDs.tqfind(item->eventID()) != ignoreIDs.end());
+			omit = (ignoreIDs.find(item->eventID()) != ignoreIDs.end());
 			if (!omit)
 				ignoreIDs.append(item->eventID());
 			if (item->operation() == UndoItem::EDIT)
diff --git a/kalarm/undo.h b/kalarm/undo.h
index 0f65cb9fa..2bc2ca1e5 100644
--- a/kalarm/undo.h
+++ b/kalarm/undo.h
@@ -71,7 +71,7 @@ class Undo : public TQObject
 		// Methods for use by UndoItem class
 		static void        add(UndoItem*, bool undo);
 		static void        remove(UndoItem*, bool undo);
-		static void        tqreplace(UndoItem* old, UndoItem* New);
+		static void        replace(UndoItem* old, UndoItem* New);
 
 	private:
 		typedef TQValueList<UndoItem*>::Iterator Iterator;
diff --git a/kandy/COPYING b/kandy/COPYING
index 0a56ad073..0b84a43fd 100644
--- a/kandy/COPYING
+++ b/kandy/COPYING
@@ -59,7 +59,7 @@ modification follow.
 		    GNU GENERAL PUBLIC LICENSE
    TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
 
-  0. This License applies to any program or other work which tqcontains
+  0. This License applies to any program or other work which contains
 a notice placed by the copyright holder saying it may be distributed
 under the terms of this General Public License.  The "Program", below,
 refers to any such program or work, and a "work based on the Program"
@@ -154,7 +154,7 @@ Sections 1 and 2 above provided that you also do one of the following:
 
 The source code for a work means the preferred form of the work for
 making modifications to it.  For an executable work, complete source
-code means all the source code for all modules it tqcontains, plus any
+code means all the source code for all modules it contains, plus any
 associated interface definition files, plus the scripts used to
 control compilation and installation of the executable.  However, as a
 special exception, the source code distributed need not include
diff --git a/kandy/src/atcommand.cpp b/kandy/src/atcommand.cpp
index d010bb0bd..f03bb6794 100644
--- a/kandy/src/atcommand.cpp
+++ b/kandy/src/atcommand.cpp
@@ -112,7 +112,7 @@ TQString ATCommand::cmdString()
 TQString ATCommand::cmd()
 {
   if (mParameters.count() > 0) {
-    TQString cmd = cmdString().left(cmdString().tqfind("=") + 1);
+    TQString cmd = cmdString().left(cmdString().find("=") + 1);
 //    kdDebug() << "--1-cmd: " << cmd << endl;
     for(uint i=0;i<mParameters.count();++i) {
       cmd += mParameters.at(i)->value();
@@ -157,7 +157,7 @@ void ATCommand::setResultString(const TQString &resultString)
 
 void ATCommand::setResultFields( TQString fieldsString )
 {
-  TQString id = mId.upper().left( mId.tqfind( '=' ) );
+  TQString id = mId.upper().left( mId.find( '=' ) );
   
 
   // Truncate the command name prepended to the output by the modem.
@@ -267,7 +267,7 @@ void ATCommand::setParameter(int index,int value)
 TQString ATCommand::processOutput(const TQString &output)
 {
   if (hexOutput()) {
-    TQString hexString = output.mid(output.tqfind('\n')+1);
+    TQString hexString = output.mid(output.find('\n')+1);
     int i=0;
     TQString aChar = hexString.mid(i,2);
     TQString result;
@@ -295,7 +295,7 @@ void ATCommand::extractParameters()
 {
 //  kdDebug() << "Arg String: " << cmdString() << endl;
   
-  int pos = cmdString().tqfind("=");
+  int pos = cmdString().find("=");
   if (pos < 0) return;
   
   TQString paraString = cmdString().mid(pos+1);
diff --git a/karm/desktoptracker.cpp b/karm/desktoptracker.cpp
index 773f6aea9..deab87548 100644
--- a/karm/desktoptracker.cpp
+++ b/karm/desktoptracker.cpp
@@ -1,4 +1,4 @@
-#include <algorithm>            // std::tqfind
+#include <algorithm>            // std::find
 
 #include <tqtimer.h>
 #include <kdebug.h>
diff --git a/karm/kaccelmenuwatch.cpp b/karm/kaccelmenuwatch.cpp
index 18a0f5110..75e4854e7 100644
--- a/karm/kaccelmenuwatch.cpp
+++ b/karm/kaccelmenuwatch.cpp
@@ -25,7 +25,7 @@ void KAccelMenuWatch::setMenu( TQPopupMenu *menu )
   // we use  _menuList to ensure that the signal is
   // connected only once per menu.
 
-  if ( !_menuList.tqfindRef( menu ) ) {
+  if ( !_menuList.findRef( menu ) ) {
     _menuList.append( menu );
     connect( menu, TQT_SIGNAL(destroyed()), this, TQT_SLOT(removeDeadMenu()) );
   }
@@ -74,7 +74,7 @@ void KAccelMenuWatch::removeDeadMenu()
   TQPopupMenu *sdr = (TQPopupMenu *) sender();
   assert( sdr );
 
-  if ( !_menuList.tqfindRef( sdr ) )
+  if ( !_menuList.findRef( sdr ) )
     return;
 
   // remove all accels
diff --git a/karm/karmstorage.cpp b/karm/karmstorage.cpp
index 6211deb84..1231113b6 100644
--- a/karm/karmstorage.cpp
+++ b/karm/karmstorage.cpp
@@ -189,12 +189,12 @@ TQString KarmStorage::load (TaskView* view, const Preferences* preferences, TQSt
     // Load each task under it's tqparent task.
     for( todo = todoList.begin(); todo != todoList.end(); ++todo )
     {
-      Task* task = map.tqfind( (*todo)->uid() );
+      Task* task = map.find( (*todo)->uid() );
 
       // No relatedTo incident just means this is a top-level task.
       if ( (*todo)->relatedTo() )
       {
-        Task* newParent = map.tqfind( (*todo)->relatedToUid() );
+        Task* newParent = map.find( (*todo)->relatedToUid() );
 
         // Complete the loading but return a message
         if ( !newParent )
@@ -258,12 +258,12 @@ TQString KarmStorage::buildTaskView(KCal::ResourceCalendar *rc, TaskView *view)
   // 1.1. Load each task under it's tqparent task.
   for( todo = todoList.begin(); todo != todoList.end(); ++todo )
   {
-    Task* task = map.tqfind( (*todo)->uid() );
+    Task* task = map.find( (*todo)->uid() );
 
     // No relatedTo incident just means this is a top-level task.
     if ( (*todo)->relatedTo() )
     {
-      Task* newParent = map.tqfind( (*todo)->relatedToUid() );
+      Task* newParent = map.find( (*todo)->relatedToUid() );
 
       // Complete the loading but return a message
       if ( !newParent )
@@ -482,12 +482,12 @@ TQString KarmStorage::loadFromFlatFileCumulative(TaskView* taskview,
 bool KarmStorage::parseLine(TQString line, long *time, TQString *name,
     int *level, DesktopList* desktopList)
 {
-  if (line.tqfind('#') == 0) {
+  if (line.find('#') == 0) {
     // A comment line
     return false;
   }
 
-  int index = line.tqfind('\t');
+  int index = line.find('\t');
   if (index == -1) {
     // This doesn't seem like a valid record
     return false;
@@ -496,7 +496,7 @@ bool KarmStorage::parseLine(TQString line, long *time, TQString *name,
   TQString levelStr = line.left(index);
   TQString rest = line.remove(0,index+1);
 
-  index = rest.tqfind('\t');
+  index = rest.find('\t');
   if (index == -1) {
     // This doesn't seem like a valid record
     return false;
@@ -507,7 +507,7 @@ bool KarmStorage::parseLine(TQString line, long *time, TQString *name,
 
   bool ok;
 
-  index = rest.tqfind('\t'); // check for optional desktops string
+  index = rest.find('\t'); // check for optional desktops string
   if (index >= 0) {
     *name = rest.left(index);
     TQString deskLine = rest.remove(0,index+1);
@@ -516,7 +516,7 @@ bool KarmStorage::parseLine(TQString line, long *time, TQString *name,
     // an DesktopList
     TQString ds;
     int d;
-    int commaIdx = deskLine.tqfind(',');
+    int commaIdx = deskLine.find(',');
     while (commaIdx >= 0) {
       ds = deskLine.left(commaIdx);
       d = ds.toInt(&ok);
@@ -525,7 +525,7 @@ bool KarmStorage::parseLine(TQString line, long *time, TQString *name,
 
       desktopList->push_back(d);
       deskLine.remove(0,commaIdx+1);
-      commaIdx = deskLine.tqfind(',');
+      commaIdx = deskLine.find(',');
     }
 
     d = deskLine.toInt(&ok);
@@ -627,9 +627,9 @@ TQString KarmStorage::exportcsvFile( TaskView *taskview,
 
     /*
     // CSV compliance
-    // Surround the field with quotes if the field tqcontains
+    // Surround the field with quotes if the field contains
     // a comma (delim) or a double quote
-    if (task->name().tqcontains(delim) || task->name().tqcontains(dquote))
+    if (task->name().contains(delim) || task->name().contains(dquote))
       to_quote = true;
     else
       to_quote = false;
@@ -640,7 +640,7 @@ TQString KarmStorage::exportcsvFile( TaskView *taskview,
       retval += dquote;
 
     // Double quotes replaced by a pair of consecutive double quotes
-    retval += task->name().tqreplace( dquote, double_dquote );
+    retval += task->name().replace( dquote, double_dquote );
 
     if (to_quote)
       retval += dquote;
@@ -661,7 +661,7 @@ TQString KarmStorage::exportcsvFile( TaskView *taskview,
   }
 
   // save, either locally or remote
-  if ((rc.url.isLocalFile()) || (!rc.url.url().tqcontains("/")))
+  if ((rc.url.isLocalFile()) || (!rc.url.url().contains("/")))
   {
     TQString filename=rc.url.path();
     if (filename.isEmpty()) filename=rc.url.url();
@@ -812,14 +812,14 @@ long KarmStorage::printTaskHistory (
       .tqarg(daykey)
       .tqarg(task->uid());
 
-    if (taskdaytotals.tqcontains(daytaskkey))
+    if (taskdaytotals.contains(daytaskkey))
     {
       cell.push_back(TQString::tqfromLatin1("%1")
         .tqarg(formatTime(taskdaytotals[daytaskkey]/60, rc.decimalMinutes)));
       sum += taskdaytotals[daytaskkey];  // in seconds
 
-      if (daytotals.tqcontains(daykey))
-        daytotals.tqreplace(daykey, daytotals[daykey]+taskdaytotals[daytaskkey]);
+      if (daytotals.contains(daykey))
+        daytotals.replace(daykey, daytotals[daykey]+taskdaytotals[daytaskkey]);
       else
         daytotals.insert(daykey, taskdaytotals[daytaskkey]);
     }
@@ -842,16 +842,16 @@ long KarmStorage::printTaskHistory (
 
   /*
   // CSV compliance
-  // Surround the field with quotes if the field tqcontains
+  // Surround the field with quotes if the field contains
   // a comma (delim) or a double quote
-  to_quote = task->name().tqcontains(delim) || task->name().tqcontains(dquote);
+  to_quote = task->name().contains(delim) || task->name().contains(dquote);
   */
   to_quote = true;
   if ( to_quote) cell.push_back(dquote);
 
 
   // Double quotes replaced by a pair of consecutive double quotes
-  cell.push_back(task->name().tqreplace( dquote, double_dquote ));
+  cell.push_back(task->name().replace( dquote, double_dquote ));
 
   if ( to_quote) cell.push_back(dquote);
 
@@ -941,8 +941,8 @@ TQString KarmStorage::exportcsvHistory ( TaskView      *taskview,
         .tqarg(daykey)
         .tqarg((*event).todoUid());
 
-    if (taskdaytotals.tqcontains(daytaskkey))
-        taskdaytotals.tqreplace(daytaskkey,
+    if (taskdaytotals.contains(daytaskkey))
+        taskdaytotals.replace(daytaskkey,
                 taskdaytotals[daytaskkey] + (*event).duration());
     else
         taskdaytotals.insert(daytaskkey, (*event).duration());
@@ -995,7 +995,7 @@ TQString KarmStorage::exportcsvHistory ( TaskView      *taskview,
     {
       daykey = day.toString(TQString::tqfromLatin1("yyyyMMdd"));
 
-      if (daytotals.tqcontains(daykey))
+      if (daytotals.contains(daykey))
       {
         retval += TQString::tqfromLatin1("%1")
             .tqarg(formatTime(daytotals[daykey]/60, rc.decimalMinutes));
@@ -1015,7 +1015,7 @@ TQString KarmStorage::exportcsvHistory ( TaskView      *taskview,
 
   // save, either locally or remote
 
-  if ((rc.url.isLocalFile()) || (!rc.url.url().tqcontains("/")))
+  if ((rc.url.isLocalFile()) || (!rc.url.url().contains("/")))
   {
     TQString filename=rc.url.path();
     if (filename.isEmpty()) filename=rc.url.url();
@@ -1166,7 +1166,7 @@ TQValueList<HistoryEvent> KarmStorage::getHistory(const TQDate& from,
     {
 
       // KArm events have the custom property X-KDE-Karm-duration
-      if (! processed.tqcontains( (*event)->uid()))
+      if (! processed.contains( (*event)->uid()))
       {
         // If an event spans multiple days, CalendarLocal::rawEventsForDate
         // will return the same event on both days.  To avoid double-counting
diff --git a/karm/karmutility.cpp b/karm/karmutility.cpp
index d13a3f6ed..8a2de530a 100644
--- a/karm/karmutility.cpp
+++ b/karm/karmutility.cpp
@@ -12,7 +12,7 @@ TQString formatTime( long minutes, bool decimal )
   TQString time;
   if ( decimal ) {
     time.sprintf("%.2f", minutes / 60.0);
-    time.tqreplace( '.', KGlobal::locale()->decimalSymbol() );
+    time.replace( '.', KGlobal::locale()->decimalSymbol() );
   }
   else time.sprintf("%s%ld:%02ld",
     (minutes < 0) ? KGlobal::locale()->negativeSign().utf8().data() : "",
diff --git a/karm/taskview.cpp b/karm/taskview.cpp
index 6a8f6e051..95dfc8569 100644
--- a/karm/taskview.cpp
+++ b/karm/taskview.cpp
@@ -154,7 +154,7 @@ void TaskView::contentsMouseDoubleClickEvent ( TQMouseEvent * e )
     if ( e->pos().y() >= task->itemPos() &&  // doubleclick was onto current_item()
           e->pos().y() < task->itemPos()+task->height() )
     {
-      if ( activeTasks.tqfindRef(task) == -1 )  // task is active
+      if ( activeTasks.findRef(task) == -1 )  // task is active
       {
         stopAllTimers();
         startCurrentTimer();
@@ -388,7 +388,7 @@ void TaskView::startTimerFor(Task* task, TQDateTime startTime )
   kdDebug(5970) << "Entering TaskView::startTimerFor" << endl;
   if (save()==TQString())
   {
-    if (task != 0 && activeTasks.tqfindRef(task) == -1) 
+    if (task != 0 && activeTasks.findRef(task) == -1) 
     {
       _idleTimeDetector->startIdleDetection();
       if (!task->isComplete())
@@ -462,7 +462,7 @@ void TaskView::resetTimeForAllTasks()
 void TaskView::stopTimerFor(Task* task)
 {
   kdDebug(5970) << "Entering stopTimerFor. task = " << task->name() << endl;
-  if ( task != 0 && activeTasks.tqfindRef(task) != -1 ) {
+  if ( task != 0 && activeTasks.findRef(task) != -1 ) {
     activeTasks.removeRef(task);
     task->setRunning(false, _storage);
     if ( activeTasks.count() == 0 ) {
diff --git a/karm/timekard.cpp b/karm/timekard.cpp
index c50168574..d9b8d4a76 100644
--- a/karm/timekard.cpp
+++ b/karm/timekard.cpp
@@ -139,7 +139,7 @@ void TimeKard::printTaskHistory(const Task *task,
                          .tqarg(daykey)
                          .tqarg(task->uid());
 
-    if (taskdaytotals.tqcontains(daytaskkey))
+    if (taskdaytotals.contains(daytaskkey))
     {
       if ( !totalsOnly )
       {
@@ -148,8 +148,8 @@ void TimeKard::printTaskHistory(const Task *task,
       }
       sectionsum += taskdaytotals[daytaskkey];  // in seconds
 
-      if (daytotals.tqcontains(daykey))
-        daytotals.tqreplace(daykey, daytotals[daykey] + taskdaytotals[daytaskkey]);
+      if (daytotals.contains(daykey))
+        daytotals.replace(daykey, daytotals[daykey] + taskdaytotals[daytaskkey]);
       else
         daytotals.insert(daykey, taskdaytotals[daytaskkey]);
     }
@@ -226,8 +226,8 @@ TQString TimeKard::sectionHistoryAsText(
                          .tqarg(daykey)
                          .tqarg((*event).todoUid());
 
-    if (taskdaytotals.tqcontains(daytaskkey))
-      taskdaytotals.tqreplace(daytaskkey,
+    if (taskdaytotals.contains(daytaskkey))
+      taskdaytotals.replace(daytaskkey,
                             taskdaytotals[daytaskkey] + (*event).duration());
     else
       taskdaytotals.insert(daytaskkey, (*event).duration());
@@ -282,7 +282,7 @@ TQString TimeKard::sectionHistoryAsText(
     {
       TQString daykey = day.toString(TQString::tqfromLatin1("yyyyMMdd"));
 
-      if (daytotals.tqcontains(daykey))
+      if (daytotals.contains(daykey))
       {
         if ( !totalsOnly )
         {
diff --git a/kdgantt/KDGanttMinimizeSplitter.cpp b/kdgantt/KDGanttMinimizeSplitter.cpp
index 10ef33730..b863e4e6e 100644
--- a/kdgantt/KDGanttMinimizeSplitter.cpp
+++ b/kdgantt/KDGanttMinimizeSplitter.cpp
@@ -178,7 +178,7 @@ int KDGanttSplitterHandle::onButton( const TQPoint& p )
         rect.setRight( rect.right() + 4);
         rect.setTop( rect.top()- 4 );
         rect.setBottom( rect.bottom() + 4);
-        if ( rect.tqcontains( p ) ) {
+        if ( rect.contains( p ) ) {
             return index;
         }
         index++;
diff --git a/kdgantt/KDGanttView.cpp b/kdgantt/KDGanttView.cpp
index 6624a4c2a..749e53064 100644
--- a/kdgantt/KDGanttView.cpp
+++ b/kdgantt/KDGanttView.cpp
@@ -3727,7 +3727,7 @@ void KDGanttView::addTaskLinkGroup(KDGanttViewTaskLinkGroup* group)
     myTaskLinkGroupList.append(group);
     return;
   }
-    if (myTaskLinkGroupList.tqfind(group) == -1)
+    if (myTaskLinkGroupList.find(group) == -1)
         myTaskLinkGroupList.append(group);
 }
 
